ubuntu-location-service: com::ubuntu::location::Criteria::Accuracy Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Attributes | List of all members
com::ubuntu::location::Criteria::Accuracy Struct Reference

`#include <criteria.h>`

Collaboration diagram for com::ubuntu::location::Criteria::Accuracy:

## Public Attributes
units::Quantity< units::Length > | horizontal = 3000 * units::Meters
| The client requires measurements of at least this horizontal accuracy. More...
Optional< units::Quantity< units::Length > > | vertical
| The client requires measurements of at least this vertical accuracy. More...
Optional< units::Quantity< units::Velocity > > | velocity
| The client requires measurements of at least this velocity accuracy. More...
Optional< units::Quantity< units::PlaneAngle > > | heading
| The client requires measurements of at least this heading accuracy. More...

## Detailed Description

Definition at line 51 of file criteria.h.

## Member Data Documentation

## ◆ heading

Optional<units::Quantity<units::PlaneAngle> > com::ubuntu::location::Criteria::Accuracy::heading

The client requires measurements of at least this heading accuracy.

Definition at line 56 of file criteria.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Criteria >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Criteria >::encode_argument().

## ◆ horizontal

units::Quantity<units::Length> com::ubuntu::location::Criteria::Accuracy::horizontal = 3000 * units::Meters

The client requires measurements of at least this horizontal accuracy.

Definition at line 53 of file criteria.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Criteria >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Criteria >::encode_argument().

## ◆ velocity

Optional<units::Quantity<units::Velocity> > com::ubuntu::location::Criteria::Accuracy::velocity

The client requires measurements of at least this velocity accuracy.

Definition at line 55 of file criteria.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Criteria >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Criteria >::encode_argument().

## ◆ vertical

Optional<units::Quantity<units::Length> > com::ubuntu::location::Criteria::Accuracy::vertical

The client requires measurements of at least this vertical accuracy.

Definition at line 54 of file criteria.h.

Referenced by core::dbus::Codec< com::ubuntu::location::Criteria >::decode_argument(), and core::dbus::Codec< com::ubuntu::location::Criteria >::encode_argument().

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/criteria.h